VismaBouwsoftAPICalls.v1_GET_WageCategories Method
v1_GET_WageCategories() as String

This API call is used to get fields of a(n) WageCategorie(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /WageCategories/
or
API Path: /WageCategories/{id}
or
API Path: /WageCategories/FieldInfo/

You can make this API call:
* without the key field id to get a list of WageCategories
* with the key field id as the path parameter (the specific id of the WageCategorie you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 250 No No No
wage_per_hour_on_weekdays 8 tpCurrency 0 No No No
wage_overtime_per_hour_on_weekdays 8 tpCurrency 0 No No No
wage_overtime_per_hour_on_weekdays_percent 13 tpPercent 0 No No No
social_charges_on_weekdays 13 tpPercent 0 No No No
social_charges_overtime_on_weekdays 13 tpPercent 0 No No No
wage_cost_on_weekdays 8 tpCurrency 0 No No No
wage_cost_overtime_on_weekdays 8 tpCurrency 0 No No No
wage_per_hour_on_saturdays 8 tpCurrency 0 No No No
wage_per_hour_on_saturdays_percent 13 tpPercent 0 No No No
wage_overtime_per_hour_on_saturdays 8 tpCurrency 0 No No No
wage_overtime_per_hour_on_saturdays_percent 13 tpPercent 0 No No No
social_charges_on_saturdays 13 tpPercent 0 No No No
social_charges_overtime_on_saturdays 13 tpPercent 0 No No No
wage_cost_on_saturdays 8 tpCurrency 0 No No No
wage_cost_overtime_on_saturdays 8 tpCurrency 0 No No No
wage_per_hour_on_sundays 8 tpCurrency 0 No No No
wage_per_hour_on_sundays_percent 13 tpPercent 0 No No No
wage_overtime_per_hour_on_sundays 8 tpCurrency 0 No No No
wage_overtime_per_hour_on_sundays_percent 13 tpPercent 0 No No No
social_charges_on_sundays 13 tpPercent 0 No No No
social_charges_overtime_on_sundays 13 tpPercent 0 No No No
wage_cost_on_sundays 8 tpCurrency 0 No No No
wage_cost_overtime_on_sundays 8 tpCurrency 0 No No No
commission_percent 13 tpPercent 0 No No No
commission_fixed 8 tpCurrency 0 No No No
salary_per_month 8 tpCurrency 0 No No No
wage_per_other 8 tpCurrency 0 No No No
rate_per_km 8 tpCurrency 0 No No No

/WageCategories/

API Path: /WageCategories/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WageCategories

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fOrfWxfUDAzSfPVtAfzRqkDtfItUGfrffrIbzjkPmrPflADGml

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/14”, “Records”: [
  {
    "id": 9,
    "name": "INDUSTRIEBOUW STD CAT C",
    "wage_per_hour_on_weekdays": 14.470000000000001,
    "wage_overtime_per_hour_on_weekdays": 17.0,
    "wage_overtime_per_hour_on_weekdays_percent": 0,
    "social_charges_on_weekdays": 113.420000000000002,
    "social_charges_overtime_on_weekdays": 0,
    "wage_cost_on_weekdays": 30.879999999999999,
    "wage_cost_overtime_on_weekdays": 17.0,
    "wage_per_hour_on_saturdays": 0.0,
    "wage_per_hour_on_saturdays_percent": 25,
    "wage_overtime_per_hour_on_saturdays": 18.0,
    "wage_overtime_per_hour_on_saturdays_percent": 0,
    "social_charges_on_saturdays": 0,
    "social_charges_overtime_on_saturdays": 0,
    "wage_cost_on_saturdays": 38.600000000000001,
    "wage_cost_overtime_on_saturdays": 18.0,
    "wage_per_hour_on_sundays": 0.0,
    "wage_per_hour_on_sundays_percent": 50,
    "wage_overtime_per_hour_on_sundays": 19.0,
    "wage_overtime_per_hour_on_sundays_percent": 0,
    "social_charges_on_sundays": 0,
    "social_charges_overtime_on_sundays": 0,
    "wage_cost_on_sundays": 46.32,
    "wage_cost_overtime_on_sundays": 19.0,
    "commission_percent": 0,
    "commission_fixed": 0.0,
    "salary_per_month": 0.0,
    "wage_per_other": 0.0,
    "rate_per_km": 0.0
  },
  {
    "id": 10,
    "name": "ELEKTRICITIET",
    "wage_per_hour_on_weekdays": 13.24,
    "wage_overtime_per_hour_on_weekdays": 0.0,
    "wage_overtime_per_hour_on_weekdays_percent": 25,
    "social_charges_on_weekdays": 96.310000000000002,
    "social_charges_overtime_on_weekdays": 0,
    "wage_cost_on_weekdays": 25.989999999999998,
    "wage_cost_overtime_on_weekdays": 32.490000000000002,
    "wage_per_hour_on_saturdays": 0.0,
    "wage_per_hour_on_saturdays_percent": 25,
    "wage_overtime_per_hour_on_saturdays": 32.490000000000002,
    "wage_overtime_per_hour_on_saturdays_percent": 0,
    "social_charges_on_saturdays": 0,
    "social_charges_overtime_on_saturdays": 0,
    "wage_cost_on_saturdays": 32.490000000000002,
    "wage_cost_overtime_on_saturdays": 32.490000000000002,
    "wage_per_hour_on_sundays": 0.0,
    "wage_per_hour_on_sundays_percent": 50,
    "wage_overtime_per_hour_on_sundays": 38.990000000000002,
    "wage_overtime_per_hour_on_sundays_percent": 0,
    "social_charges_on_sundays": 0,
    "social_charges_overtime_on_sundays": 0,
    "wage_cost_on_sundays": 38.990000000000002,
    "wage_cost_overtime_on_sundays": 38.990000000000002,
    "commission_percent": 0,
    "commission_fixed": 0.0,
    "salary_per_month": 4158.0,
    "wage_per_other": 0.0,
    "rate_per_km": 0.0
  }
,

]
}

/WageCategories/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WageCategories/9

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fOrfWxfUDAzSfPVtAfzRqkDtfItUGfrffrIbzjkPmrPflADGml

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 9,
    "name": "INDUSTRIEBOUW STD CAT C",
    "wage_per_hour_on_weekdays": 14.470000000000001,
    "wage_overtime_per_hour_on_weekdays": 17.0,
    "wage_overtime_per_hour_on_weekdays_percent": 0,
    "social_charges_on_weekdays": 113.420000000000002,
    "social_charges_overtime_on_weekdays": 0,
    "wage_cost_on_weekdays": 30.879999999999999,
    "wage_cost_overtime_on_weekdays": 17.0,
    "wage_per_hour_on_saturdays": 0.0,
    "wage_per_hour_on_saturdays_percent": 25,
    "wage_overtime_per_hour_on_saturdays": 18.0,
    "wage_overtime_per_hour_on_saturdays_percent": 0,
    "social_charges_on_saturdays": 0,
    "social_charges_overtime_on_saturdays": 0,
    "wage_cost_on_saturdays": 38.600000000000001,
    "wage_cost_overtime_on_saturdays": 18.0,
    "wage_per_hour_on_sundays": 0.0,
    "wage_per_hour_on_sundays_percent": 50,
    "wage_overtime_per_hour_on_sundays": 19.0,
    "wage_overtime_per_hour_on_sundays_percent": 0,
    "social_charges_on_sundays": 0,
    "social_charges_overtime_on_sundays": 0,
    "wage_cost_on_sundays": 46.32,
    "wage_cost_overtime_on_sundays": 19.0,
    "commission_percent": 0,
    "commission_fixed": 0.0,
    "salary_per_month": 0.0,
    "wage_per_other": 0.0,
    "rate_per_km": 0.0
  }
]
}

/WageCategories/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/WageCategories/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "name",
    "type_id": 2,
    "type_name": "tpString",
    "length": 250,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "wage_per_hour_on_weekdays",
    "type_id": 8,
    "type_name": "tpCurrency",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]